Magento Forum

   
pdo_mysql extension is not installed
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 

Hi, I’m new to Magento and e-commerce website. I switch from oscomerce cause I found its limitation.

Now the solution:

pdo_mysql extension is not installed

Trace:
#0 C:\inetpub\vhosts\a2zcloset.com\httpdocs\product\lib\Zend\Db\Adapter\Abstract.php(448): Varien_Db_Adapter_Pdo_Mysql->_connect()
......
......

I checked from this forum about this thread, can’t solve my problem. I can’t confirm whether pdo_myspl driver installed in my server or not.

Please advice.......

 
Magento Community Magento Community
Magento Community
Magento Community
 
Brent W Peterson
Moderator
 
Avatar
Total Posts:  3215
Joined:  2009-02-26
Minneapolis MN
 

run

echo phpinfo();

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 
Brent W Peterson - 14 November 2010 04:54 AM

run

echo phpinfo();

Yes. But how to run phpinfo? I am newbie…

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 

ok…

here’s the data:

PDO
PDO support enabled
PDO drivers sqlite, sqlite2

pdo_sqlite
PDO Driver for SQLite 3.x enabled
PECL Module version 1.0.1 $Id: pdo_sqlite.c 293036 2010-01-03 09:23:27Z sebastian $
SQLite Library 3.3.7undefined

This means that I don’t have the extension?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Brent W Peterson
Moderator
 
Avatar
Total Posts:  3215
Joined:  2009-02-26
Minneapolis MN
 

Do you have this line

pdo_mysql

PDO Driver for MySQL, client library version 5.0.77

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 
Brent W Peterson - 14 November 2010 05:47 AM

Do you have this line


pdo_mysql

PDO Driver for MySQL, client library version 5.0.77

Nope.

you can check here
http://a2zcloset.com/product/phpinfo.php

 
Magento Community Magento Community
Magento Community
Magento Community
 
Brent W Peterson
Moderator
 
Avatar
Total Posts:  3215
Joined:  2009-02-26
Minneapolis MN
 

That needs to be loaded, if you have all the other pre-requisites loaded your Magento install should work

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 
Brent W Peterson - 15 November 2010 04:19 AM

That needs to be loaded, if you have all the other pre-requisites loaded your Magento install should work

I don’t think so. I installed my Magento through Parallel Pesk 9.5. My version 1.4.0.1.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Brent W Peterson
Moderator
 
Avatar
Total Posts:  3215
Joined:  2009-02-26
Minneapolis MN
 
Akiowalt - 14 November 2010 03:38 AM

Hi, I’m new to Magento and e-commerce website. I switch from oscomerce cause I found its limitation.

Now the solution:

pdo_mysql extension is not installed

Trace:
#0 C:\inetpub\vhosts\a2zcloset.com\httpdocs\product\lib\Zend\Db\Adapter\Abstract.php(448): Varien_Db_Adapter_Pdo_Mysql->_connect()
......
......

I checked from this forum about this thread, can’t solve my problem. I can’t confirm whether pdo_myspl driver installed in my server or not.

Please advice.......

So you have confirmed it is not installed, why don’t you install it?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 

Yes. I called my hosting company to help me. Otherwise, there is no point for me to continue my work. But, I really want to switch to Magento instead of OSC.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Akiowalt
Jr. Member
 
Total Posts:  8
Joined:  2010-11-14
 

Okay. Done… Everything great!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top